Name:          mod_authnz_external
Version:       3.2.5
Release:       1%{?dist}

# Conditional:
# --without debug : disables debuginfo package + removes -g in "optarg".

Summary:       Apache 2.2.x module for authentication provided by external program
URL:           http://code.google.com/p/mod-auth-external/
Vendor:        Jan Wolter <janc@cyberspace.org>
Packager:      Franta Hanzlik
Source0:       %{name}-%{version}.tar.gz
Source1:       %{name}.conf
Source2:       %{name}.example
License:       Apache License 2.0
Group:         Applications/Internet
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildPrereq:  pam-devel
BuildRequires: httpd-devel >= 2.2.0
Requires:      httpd >= 2.2.0

%description
Mod_Auth_External can be used to quickly construct secure, reliable
authentication systems for Apache 2.2.x.
When a user supplies a login and password, mod_authnz_external runs
a program you write, passing it the login and password.  Your program
does whatever checking and logging it needs to, and then returns
a Accept/Reject flag to Apache.

It can also be mis-used to quickly open gaping holes in your security -
- read the documentation, and use with extreme caution.

pwauth is one example of external program for use with this module.
See contrib/pwauth_example.conf for simple example.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
install -pDm 644 %SOURCE2 contrib/pwauth_example.conf

%build
# --without debug hack:
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
%{?_without_debug:%define debug_package %{nil}}
%{?_without_debug:export RPM_OPT_FLAGS="${RPM_OPT_FLAGS//-g/}"}
%{?_without_debug:export CFLAGS="${CFLAGS//-g/}"}
%{_sbindir}/apxs -Wc,"%{optflags}" -c %{name}.c

%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -pDm 755 .libs/%{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/%{name}.so
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -pm 644 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHENTICATORS CHANGES INSTALL INSTALL.HARDCODE README TODO UPGRADE
%doc contrib mysql pwauth radius sybase test
%{_libdir}/httpd/modules/*.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf

%changelog
* Sun Mar 28 2010 Franta Hanzlik <franta@hanzlici.cz>
- initial SPEC creating and  mod_authnz_external 3.2.5 FC{11,12,13} release
